Enqueueing log downloads for A given job

Enqueueing log downloads for A given job
Enqueueing log downloads for a given job

This returns a task identifier for the async operation that performs log downloading from BOSH.

To track log download status, call GET /api/v0/deployed/products/{product_guid}/jobs/{job_guid}/logs

Request
URI
POST
https://{opsmanager-installation}/api/v0/deployed/products/{product_guid}/jobs/{job_guid}/logs
COPY
Path Parameters
string
product_guid
Required

The guid of the product

string
job_guid
Required

The guid of the job


Request Body
{
    "instance_name": "string"
}
string
instance_name
Optional

(Optional) The specific instance name to download logs for (e.g., "web_server/44defb8a-3aa3-4049-ac03-40291d7457b5"). If not provided, downloads logs for all instances of the job.

Responses
200

OK

{
    "id": "string"
}
string
id
Optional

id


400

Setup is not completed

Returns RequireSetupCompleted of type(s) application/json
{
    "errors": {
        "errors": [
            "string"
        ]
    }
}
object
errors
Optional

errors


401

Unauthorized

Returns UnauthorizedResponse of type(s) application/json
{
    "errors": {
        "errors": [
            "string"
        ]
    }
}
object
errors
Optional

errors


403

Forbidden

Returns ForbiddenResponse of type(s) application/json
{
    "errors": {
        "errors": [
            "string"
        ]
    }
}
object
errors
Optional

errors


404

Product does not exist, has not been deployed, or job does not exist

{
    "error": "string"
}

Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/api/v0/deployed/products/{product_guid}/jobs/{job_guid}/logs